<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:xalan="http://xml.apache.org/xalan"
		xmlns:in="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
		xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/8.0/mm"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes">
	<xsl:output method="xml" indent="yes" xalan:indent-amount="2"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="/">
		<xsl:element name="mm:monitor">
			<!--  copy all the namespaces -->
			<xsl:for-each select="in:monitor/namespace::*[not(name()='mm')]">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:copy-of select="text()"/>
			<xsl:if test="in:monitor/@xsi:schemaLocation">
				<xsl:attribute name="xsi:schemaLocation">http://www.ibm.com/xmlns/prod/websphere/monitoring/8.0/mm monitor.xsd</xsl:attribute>
			</xsl:if>
			<xsl:copy-of select="in:monitor/@*[not(name()='xsi:schemaLocation')]"/>
			<xsl:apply-templates select="in:monitor/*"/>
		</xsl:element>
	</xsl:template>

	<xsl:template match="*">
		<xsl:element name="{name()}">
			<xsl:for-each select="current()/namespace::*[not(name()='mm')]">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:copy-of select="text()"/>
			<xsl:copy-of select="current()/@*"/>
			<xsl:apply-templates select="current()/*"/>
		</xsl:element>
	</xsl:template>
	
</xsl:stylesheet>